Package org.apache.solr.client.solrj.request

## Class GenericSolrRequest

- java.lang.Object
- - org.apache.solr.client.solrj.SolrRequest<SimpleSolrResponse>
  - - org.apache.solr.client.solrj.request.GenericSolrRequest

All Implemented Interfaces:
  `Serializable`

    public class GenericSolrRequest
    extends SolrRequest<SimpleSolrResponse>

See Also:
  Serialized Form

### Nested Class Summary

### Nested classes/interfaces inherited from class org.apache.solr.client.solrj.SolrRequest

`SolrRequest.METHOD, SolrRequest.SolrClientContext, SolrRequest.SolrRequestType`

### Field Summary

Fields
`RequestWriter.ContentWriter` `contentWriter`
`SolrParams` `params`
`SimpleSolrResponse` `response`

### Fields inherited from class org.apache.solr.client.solrj.SolrRequest

`SUPPORTED_METHODS, useBinaryV2, usev2`

### Constructor Summary

Constructors
`GenericSolrRequest​(SolrRequest.METHOD m, String path)`
`GenericSolrRequest​(SolrRequest.METHOD m, String path, SolrParams params)`

### Method Summary

All Methods Instance Methods Concrete Methods
`protected SimpleSolrResponse` `createResponse​(SolrClient client)` Create a new SolrResponse to hold the response from the server
`RequestWriter.ContentWriter` `getContentWriter​(String expectedType)` If a request object wants to do a push write, implement this method.
`SolrParams` `getParams()`
`String` `getRequestType()` This method defines the type of this Solr request.
`GenericSolrRequest` `setContentWriter​(RequestWriter.ContentWriter contentWriter)`
`GenericSolrRequest` `withContent​(byte[] buf, String type)`

### Methods inherited from class org.apache.solr.client.solrj.SolrRequest

`addHeader, addHeaders, getBasePath, getBasicAuthPassword, getBasicAuthUser, getCollection, getContentStreams, getHeaders, getMethod, getPath, getPreferredNodes, getQueryParams, getResponseParser, getStreamingResponseCallback, getUserPrincipal, process, process, requiresCollection, setBasePath, setBasicAuthCredentials, setMethod, setPath, setPreferredNodes, setQueryParams, setResponseParser, setStreamingResponseCallback, setUseBinaryV2, setUserPrincipal, setUseV2`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### params

    public SolrParams params

#### response

    public SimpleSolrResponse response

#### contentWriter

    public RequestWriter.ContentWriter contentWriter

### Constructor Detail

#### GenericSolrRequest

    public GenericSolrRequest​(SolrRequest.METHOD m,
                              String path)

#### GenericSolrRequest

    public GenericSolrRequest​(SolrRequest.METHOD m,
                              String path,
                              SolrParams params)

### Method Detail

#### setContentWriter

    public GenericSolrRequest setContentWriter​(RequestWriter.ContentWriter contentWriter)

#### withContent

    public GenericSolrRequest withContent​(byte[] buf,
                                          String type)

#### getContentWriter

    public RequestWriter.ContentWriter getContentWriter​(String expectedType)

Description copied from class: `SolrRequest`
If a request object wants to do a push write, implement this method.

Overrides:
  `getContentWriter` in class `SolrRequest<SimpleSolrResponse>`
Parameters:
  `expectedType` - This is the type that the RequestWriter would like to get. But, it is OK to send any format

#### getParams

    public SolrParams getParams()

Specified by:
  `getParams` in class `SolrRequest<SimpleSolrResponse>`

#### createResponse

    protected SimpleSolrResponse createResponse​(SolrClient client)

Description copied from class: `SolrRequest`
Create a new SolrResponse to hold the response from the server

Specified by:
  `createResponse` in class `SolrRequest<SimpleSolrResponse>`
Parameters:
  `client` - the `SolrClient` the request will be sent to

#### getRequestType

    public String getRequestType()

Description copied from class: `SolrRequest`
This method defines the type of this Solr request.

Specified by:
  `getRequestType` in class `SolrRequest<SimpleSolrResponse>`